@charset "UTF-8";
@import "../variables.scss";

/* TODO: Move to ¿? */
.faq-node-footer-content .views-element-container {
  margin-bottom: 0;
}

// MORE FAQs
.cern-view-display-more_faq {
  .view-header {
    h1,
    h2,
    h3,
    h4 {
      text-align: center;
      font-family: "opensans-bold";
      font-size: 32px;
      margin: 40px 0 20px;
    }
  }

  .view-footer {
    margin-top: calc(3rem + 8px);

    a {
      text-align: right; //font-family: 'sourcesans-bold';
      margin: 20px 0 20px;
      position: relative;
      padding-right: 15px;
      font-weight: bold; //color: black;
      display: block;

      &:hover,
      &:active,
      &:focus {
        text-decoration: none; //color: black;
      }

      &:after {
        -webkit-transition: all 0.6s ease-in-out 0s;
        -khtml-transition: all 0.6s ease-in-out 0s;
        -moz-transition: all 0.6s ease-in-out 0s;
        -ms-transition: all 0.6s ease-in-out 0s;
        -o-transition: all 0.6s ease-in-out 0s;
        transition: all 0.6s ease-in-out 0s;
        content: "\j";
        font-size: 40px;
        font-size: 4rem;
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover {
        &:after {
          right: -5px;
        }
      }
    }
  }

  .view-content {
    margin: 0 -10px;

    &:before,
    &:after {
      content: " ";
      display: table;
      box-sizing: border-box;
    }

    &:after {
      clear: both;
    }

    .views-row {
      width: calc(33.33% - 20px);
      margin: 0 10px;
      background: #ccc;
      float: left;
      padding: 10px 10px 40px 50px;
      height: 200px;
      overflow: hidden;
      position: relative;
      min-height: 210px;
      flex-flow: column;
      display: flex;
      justify-content: end;

      .faq-cards__veil {
        @include transition(all 0.4s ease-in-out 0s);
        @include background-gradient(
          $startColor: rgba(0, 0, 0, 0),
          $endColor: rgba(0, 0, 0, 0.9)
        );
        position: absolute;
        height: 100%;
        width: 100%;
        top: 0;
        left: 0;
        z-index: 0;
      }

      &:hover {
        .faq-cards__veil {
          opacity: 0;
        }
      }

      & > div {
        position: absolute;
        bottom: 20px;
        padding-right: 10px;

        h3 a {
          font-size: 2rem;
          font-family: sourcesans-semibold;
          font-weight: 500;
          color: white;
          position: relative;
          line-height: 26px;
          display: block;

          &:hover,
          &:active,
          &:focus {
            text-decoration: none;
            color: white;
          }

          &:before {
            -webkit-transition: all 0.3s ease-in-out 0s;
            -khtml-transition: all 0.3s ease-in-out 0s;
            -moz-transition: all 0.3s ease-in-out 0s;
            -ms-transition: all 0.3s ease-in-out 0s;
            -o-transition: all 0.3s ease-in-out 0s;
            transition: all 0.3s ease-in-out 0s;
            content: "j";
            font-family: "cern-icons";
            -moz-osx-font-smoothing: grayscale;
            -webkit-font-smoothing: antialiased;
            @include font-size(4);
            position: absolute;
            left: -3.5rem;
            top: -2px;
            color: darkorange;
            line-height: 26px;
          }

          &:hover:before {
            left: -2.5rem;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-more_faq {
    .view-content {
      .views-row {
        & > div {
          h3 a {
            font-size: 1.8rem;
          }
        }
      }
    }
  }

  .block-views-blockfaq-more-faq {
    margin: 0 -3% 30px;
  }
}

@media only screen and (max-width: 767px) {
  .block-views-blockfaq-more-faq {
    margin: 0 auto 30px;
  }

  .cern-view-display-more_faq {
    .view-content {
      margin: 0; //padding: 0 3%;

      .views-row {
        float: none;
        width: 100%;
        height: auto;
        margin: 10px 0 0 0;
        padding: 10px 10px 15px 50px;

        & > div {
          position: relative;
          top: 0;
          left: auto;
        }
      }
    }
  }
}

// ALL FAQS
.cern-view-display-page.cern-view-display-faq_page {
  & > h2 {
    margin: 3rem 0 !important;
  }

  .pagination-container.centered {
    text-align: right;
  }

  .view-filters {
    width: 100%;
    margin: 0 auto;

    form {
      /* width: 50%; */
      .form-actions {
        /* display: none; */
        width: calc(20% - 8px);
        vertical-align: bottom;

        button {
          width: 100%;
        }
      }
    }
  }

  .view-header {
    display: inline;
    margin: 0 0 0 0%;
    position: relative;
    top: -30px;
    left: 10px;
    color: rgba(0, 0, 0, 0.4);
    font-size: 1.4rem;
    font-weight: bold;
  }
}
